BizKitHub
DocsAPI ReferenceLedger/bff/ledger/dimension/value
postLedgerAdmin BFF

/bff/ledger/dimension/value

Create or update a dimension value

LedgerpostBffLedgerDimensionValue

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
typeIdstringRequired
Length: 24–24
idstringOptional
Length: 24–24
codestringOptional
Length: 1–50
namestringOptional
Length: 1–190
parentIdstring | nullOptional
One of 2:
Variant 1
string
Length: 24–24
Variant 2
null
isActivebooleanOptional
notestring | nullOptional
One of 2:
Variant 1
string
Length: 0–500
Variant 2
null
positionstring | integerOptional
One of 2:
Variant 1
stringinteger
Default: 0
Variant 2
integer
Range: 0–9999

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

POST /bff/ledger/dimension/value

post
curl -X POST "https://api.bizkithub.com/bff/ledger/dimension/value" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId",
  "typeId": "example_typeId",
  "id": "example_id",
  "code": "example_code",
  "name": "example_name",
  "isActive": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key